aboutsummaryrefslogtreecommitdiffstats
path: root/main/libmemcached/APKBUILD
diff options
context:
space:
mode:
authortcely <tcely@users.noreply.github.com>2018-03-06 00:09:50 -0500
committerWilliam Pitcock <nenolod@dereferenced.org>2018-03-06 18:37:16 +0000
commit894c438def09d5b71e129774baa92538ad7ce532 (patch)
treeda2adbb343d2edc0cf01e2501c2eccaa05340752 /main/libmemcached/APKBUILD
parent66dfb5548120c29f2d03a6114b756bd8b1e88b21 (diff)
downloadaports-894c438def09d5b71e129774baa92538ad7ce532.tar.gz
aports-894c438def09d5b71e129774baa92538ad7ce532.tar.bz2
aports-894c438def09d5b71e129774baa92538ad7ce532.tar.xz
main/libmemcached: Add depend on cyrus-sasl-dev to libmemcached-dev
Diffstat (limited to 'main/libmemcached/APKBUILD')
-rw-r--r--main/libmemcached/APKBUILD40
1 files changed, 17 insertions, 23 deletions
diff --git a/main/libmemcached/APKBUILD b/main/libmemcached/APKBUILD
index f789cab7fb..8a75e4c567 100644
--- a/main/libmemcached/APKBUILD
+++ b/main/libmemcached/APKBUILD
@@ -1,33 +1,24 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=libmemcached
pkgver=1.0.18
-pkgrel=1
+pkgrel=2
pkgdesc="Client library and command line tools for memcached server"
url="http://libmemcached.org/"
arch="all"
license="BSD"
+options="!check" # tests are broken
depends=""
-depends_dev=""
-makedepends="$depends_dev cyrus-sasl-dev"
+depends_dev="cyrus-sasl-dev"
+makedepends="$depends_dev memcached-dev"
install=""
subpackages="$pkgname-dev $pkgname-doc $pkgname-libs"
-source="https://launchpad.net/libmemcached/${pkgver%.*}/${pkgver}/+download/libmemcached-${pkgver}.tar.gz
- musl-fixes.patch
- "
+source="https://launchpad.net/${pkgname}/${pkgver%.*}/${pkgver}/+download/${pkgname}-${pkgver}.tar.gz
+ musl-fixes.patch"
-_builddir="$srcdir"/libmemcached-$pkgver
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
+builddir="$srcdir/$pkgname-$pkgver"
build() {
- cd "$_builddir"
+ cd "$builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -35,15 +26,18 @@ build() {
--disable-static \
--enable-sasl \
--enable-libmemcachedprotocol \
- --enable-memaslap \
- || return 1
- make || return 1
+ --enable-memaslap
+ make
+}
+
+check() {
+ cd "$builddir"
+ make check || { find . -name 'test-suite.log' -exec cat '{}' ';'; return 1; }
}
package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
- return 0
+ cd "$builddir"
+ make -j1 AM_MAKEFLAGS= DESTDIR="$pkgdir" install
}
md5sums="b3958716b4e53ddc5992e6c49d97e819 libmemcached-1.0.18.tar.gz